Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class BuiltinFormats

    java.lang.Object
      org.apache.poi.ss.usermodel.BuiltinFormats

    public final class BuiltinFormats

extends java.lang.Object

Utility to identify built-in formats. The following is a list of the formats as returned by this class.

0, "General"
1, "0"
2, "0.00"
3, "#,##0"
4, "#,##0.00"
5, "$#,##0_);($#,##0)"
6, "$#,##0_);[Red]($#,##0)"
7, "$#,##0.00);($#,##0.00)"
8, "$#,##0.00_);[Red]($#,##0.00)"
9, "0%"
0xa, "0.00%"
0xb, "0.00E+00"
0xc, "# ?/?"
0xd, "# ??/??"
0xe, "m/d/yy"
0xf, "d-mmm-yy"
0x10, "d-mmm"
0x11, "mmm-yy"
0x12, "h:mm AM/PM"
0x13, "h:mm:ss AM/PM"
0x14, "h:mm"
0x15, "h:mm:ss"
0x16, "m/d/yy h:mm"

// 0x17 - 0x24 reserved for international and undocumented 0x25, "#,##0_);(#,##0)"
0x26, "#,##0_);[Red](#,##0)"
0x27, "#,##0.00_);(#,##0.00)"
0x28, "#,##0.00_);[Red](#,##0.00)"
0x29, "_(*#,##0_);_(*(#,##0);_(* \"-\"_);_(@_)"
0x2a, "_($*#,##0_);_($*(#,##0);_($* \"-\"_);_(@_)"
0x2b, "_(*#,##0.00_);_(*(#,##0.00);_(*\"-\"??_);_(@_)"
0x2c, "_($*#,##0.00_);_($*(#,##0.00);_($*\"-\"??_);_(@_)"
0x2d, "mm:ss"
0x2e, "[h]:mm:ss"
0x2f, "mm:ss.0"
0x30, "##0.0E+0"
0x31, "@" - This is text format.
0x31 "text" - Alias for "@"

Author:
  Yegor Kozlov Modified 6/17/09 by Stanislav Shor - positive formats don't need starting '('

Field Summary
`static int` | `FIRST_USER_DEFINED_FORMAT_INDEX` The first user-defined format starts at 164.

Constructor Summary
`BuiltinFormats()`

Method Summary
`static java.lang.String[]` | `getAll()`
`static java.lang.String` | `getBuiltinFormat(int index)` Get the format string that matches the given format index
`static int` | `getBuiltinFormat(java.lang.String pFmt)` Get the format index that matches the given format string Automatically converts "text" to excel's format string to represent text.
`static java.util.Map<java.lang.Integer,java.lang.String>` | `getBuiltinFormats()` Deprecated. (May 2009) use `getAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST_USER_DEFINED_FORMAT_INDEX

    public static final int FIRST_USER_DEFINED_FORMAT_INDEX

  The first user-defined format starts at 164.

  See Also:
    Constant Field Values

Constructor Detail

### BuiltinFormats

    public BuiltinFormats()

Method Detail

### getBuiltinFormats

    public static java.util.Map<java.lang.Integer,java.lang.String> getBuiltinFormats()

  Deprecated. (May 2009) use `getAll()`

### getAll

    public static java.lang.String[] getAll()

  Returns:
    array of built-in data formats

### getBuiltinFormat

    public static java.lang.String getBuiltinFormat(int index)

  Get the format string that matches the given format index

  Parameters:
    `index` - of a built in format
  Returns:
    string represented at index of format or `null` if there is not a built-in format at that index

### getBuiltinFormat

    public static int getBuiltinFormat(java.lang.String pFmt)

  Get the format index that matches the given format string

  Automatically converts "text" to excel's format string to represent text.

  Parameters:
    `pFmt` - string matching a built-in format
  Returns:
    index of format or -1 if undefined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.